
    function initLanguage(lng,callback) {
        var default_lng='zh';
        // var default_lng='en';
        lng = (typeof(lng)=="undefined")?default_lng:lng;
        // console.log(lng);
        i18next.use(i18nextLocizeBackend).init({
            fallbackLng: lng,
            preload:[lng],
            lng: lng,
            backend: {
                loadPath: api.wgtRootDir+'/res/{{lng}}.json' //加载对应的语言包和文件 如 ./i18n/en/index.json
                // loadPath: '../res/{{lng}}.json' //加载对应的语言包和文件 如 ./i18n/en/index.json
            }
        }, function(err, t){
            jqueryI18next.init(i18next, $);
            $('[data-i18n]').localize();
             return (typeof callback === 'function') && callback.call(self,t,i18next);

        });
    }

    function load_i18n(callback){
        var lang_ =  $api.getStorage('lan');
        initLanguage(lang_,callback);
    }
